using System;

namespace RebootKit.Engine.Foundation {
    public static class UniqueID {
        public static ulong NewULongFromGuid() {
            Guid guid = Guid.NewGuid();
            byte[] bytes = guid.ToByteArray();
            ulong id = BitConverter.ToUInt64(bytes, 0);
            return id;
        }
    }
}